Recommended update for inkscape

SUSE Recommended Update: Recommended update for inkscape
Announcement ID: SUSE-RU-2020:1354-1
Rating: moderate
References: #1171258
Affected Products:
  • SUSE Linux Enterprise Workstation Extension 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for inkscape fixes the following issue:

  • Remove inkscape-extension-skencil completely for Leap 15.2 by now. (jsc#SLE-12254, bsc#1171258) The extension was built only on openSUSE in the past, nowadays:
    * Tumbleweed does not build it since skencil does not support python 3. * SLE has never built and shipped the extension. Hence this submission actually disables the extension on Leap 15.2 and above to keep it consistent with SLE and TW. The stub for packaging the extension is still kept in the spec for future needs when we bring skencil back to the release.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Workstation Extension 15-SP1:
    zypper in -t patch SUSE-SLE-Product-WE-15-SP1-2020-1354=1

Package List:

  • SUSE Linux Enterprise Workstation Extension 15-SP1 (x86_64):
    • inkscape-0.92.2-7.6.2
    • inkscape-debuginfo-0.92.2-7.6.2
    • inkscape-debugsource-0.92.2-7.6.2
    • inkscape-extensions-dia-0.92.2-7.6.2
    • inkscape-extensions-extra-0.92.2-7.6.2
    • inkscape-extensions-fig-0.92.2-7.6.2
    • inkscape-extensions-gimp-0.92.2-7.6.2
  • SUSE Linux Enterprise Workstation Extension 15-SP1 (noarch):
    • inkscape-lang-0.92.2-7.6.2

References: